### Method

# Phosh NetworkAuthPrompt set_request

#### Declaration [src]

    gboolean
    phosh_network_auth_prompt_set_request (
      PhoshNetworkAuthPrompt* self,
      char* request_id,
      NMConnection* connection,
      char* setting_name,
      char** hints,
      NMSecretAgentGetSecretsFlags flags,
      const char* title,
      const char* message,
      GPtrArray* secrets
    )

#### Description [src]

Sets up a network authentication prompt for an auth request.

This method is not directly available to language bindings.

#### Parameters

`request_id`

  Type: `char*`

  The unique id of this authentication request.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`connection`

  Type: `NMConnection*`

  The network manager connection.

  The data is owned by the caller of the method.

`setting_name`

  Type: `char*`

  The connection setting name (e.g. ‘vpn’)

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`hints`

  Type: `char**`

  Auth request hints (currently unused)

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `NMSecretAgentGetSecretsFlags`

  Secret flags.

`title`

  Type: `const char*`

  The prompt title.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const char*`

  The prompt message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`secrets`

  Type: An array of `gpointer`

  The secrets to get.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if success otherwise (e.g. if the prompt is still in use) `FALSE`.